<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6"
    tools:context=".fragment.HomeFragment">

    <View
        android:id="@+id/v_top"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="232dp"
        android:background="@mipmap/bg"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="ContentDescription" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/v_top">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="26dp"
            android:layout_marginTop="24dp"
            android:src="@mipmap/icon"
            tools:ignore="ContentDescription" />

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="131dp"
            android:layout_marginHorizontal="16sp"
            android:layout_marginTop="36dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <LinearLayout
                    android:id="@+id/ll_ry_photos"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/recovery_photo"
                        tools:ignore="ContentDescription" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:src="@mipmap/triangle_1"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:gravity="center"
                        android:text="Recovery\nPhotos"
                        android:textColor="#333333"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_ry_documents"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/recovery_documents"
                        tools:ignore="ContentDescription" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:src="@mipmap/triangle_2"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:gravity="center"
                        android:text="Recovery\nDocuments"
                        android:textColor="#333333"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_ry_videos"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="12dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:src="@mipmap/recovery_videos"
                        tools:ignore="ContentDescription" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:src="@mipmap/triangle_3"
                        tools:ignore="ContentDescription" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="2dp"
                        android:gravity="center"
                        android:text="Recovery\nVideos"
                        android:textColor="#333333"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="16dp">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:layout_marginTop="30dp"
                android:background="@mipmap/bg_1">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="20dp"
                    android:orientation="vertical"
                    tools:ignore="UselessParent">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Duplicate file scanning"
                        android:textColor="#333333"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="Clear a large number of duplicate files"
                        android:textColor="#333333"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_scan_duplicate"
                        android:layout_width="111dp"
                        android:layout_height="30dp"
                        android:layout_marginTop="12dp"
                        android:background="@mipmap/button_blue"
                        android:gravity="center"
                        android:text="scan"
                        android:textColor="@color/white"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

            </FrameLayout>


            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="10dp"
                android:src="@mipmap/tu"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="16dp">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="130dp"
                android:layout_marginTop="30dp"
                android:background="@mipmap/bg_2">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="20dp"
                    android:orientation="vertical"
                    tools:ignore="UselessParent">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Recycle bin"
                        android:textColor="#333333"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:textColor="#333333"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/tv_clean_bin"
                        android:layout_width="111dp"
                        android:layout_height="30dp"
                        android:layout_marginTop="12dp"
                        android:background="@mipmap/button_blue"
                        android:gravity="center"
                        android:text="scan"
                        android:textColor="@color/white"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

            </FrameLayout>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginEnd="10dp"
                android:src="@mipmap/tu_1"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_recovered"
            android:layout_width="match_parent"
            android:layout_height="69dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="24dp"
            android:background="@drawable/bg_gradient_3e7df3_10">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:layout_marginHorizontal="12dp"
                android:background="@drawable/bg_80ffffff_10"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="5dp"
                    android:src="@mipmap/icon_recovered"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:layout_weight="1"
                    android:text="Recovered"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="15dp"
                    android:src="@mipmap/triangle_4"
                    tools:ignore="ContentDescription" />
            </LinearLayout>

        </FrameLayout>

        <FrameLayout
            android:layout_marginTop="20dp"
            android:layout_marginHorizontal="16dp"
            android:id="@+id/fl_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>